inp = open('division.in', 'r')
out = open('division.out', 'w')

n = int(inp.readline())
min_ans = 10**18
best_a = None
best_b = None
best_c = None
    
a = 1
while a * 3 + 3 <= n:
    b = (n - a) // 2 - (n + a + 1) % 2
    c = n - a - b
    if (b <= a) or (c <= b):
        a += 1
        continue
    if a**2 + b**2 + c**2 < min_ans:
        min_ans = a**2 + b**2 + c**2
        best_a = a
        best_b = b
        best_c = c
    a += 1
out.write(' '.join(str(element) for element in [best_a, best_b, best_c]) + '\n') 